CustomTaskSetup (install4j API)
Keywords: com.install4j.api.CustomTaskSetup interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api
Interface CustomTaskSetup

    public interface CustomTaskSetup

The interface that provides information about custom tasks. Custom tasks are configured on the detail pane of the "Additional tasks" installer screen in the install4j GUI. Returned by `InstallerContext.getAssociations()`.

Author:
  ej-technologies GmbH

Method Summary
`java.lang.String` | `getDescription()` Returns the description for this custom task.
`java.lang.String` | `getId()` Returns the ID of this custom task.
`boolean` | `isSelected()` Returns whether the custom task has been selected by the user.
`void` | `setSelected(boolean selected)` Sets whether the custom task should be selected or not.

Method Detail

### isSelected

    boolean isSelected()

  Returns whether the custom task has been selected by the user.

  Returns:
    `true` if the custom task has been selected.

### setSelected

    void setSelected(boolean selected)

  Sets whether the custom task should be selected or not.

  Parameters:
    `selected` - the new selection state

### getId

    java.lang.String getId()

  Returns the ID of this custom task. This is the ID that you have specified in the install4j GUI.

  Returns:
    the id

### getDescription

    java.lang.String getDescription()

  Returns the description for this custom task. This is the description that you have specified in the install4j GUI. The checkbox displays this description. You can reuse this description for the status bar if the custom task takes a lot of time.

  Returns:
    the description

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD